Bug 1127897 - [abrt] nautilus: nautilus_file_clear_info(): nautilus killed by SIGSEGV
Summary: [abrt] nautilus: nautilus_file_clear_info(): nautilus killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1ac87aa1e30f10810256d88d752...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 19:09 UTC by Tim Waugh
Modified: 2015-06-29 21:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:58:11 UTC


Attachments (Terms of Use)
File: backtrace (27.53 KB, text/plain)
2014-08-07 19:09 UTC, Tim Waugh
no flags Details
File: cgroup (181 bytes, text/plain)
2014-08-07 19:09 UTC, Tim Waugh
no flags Details
File: core_backtrace (13.12 KB, text/plain)
2014-08-07 19:09 UTC, Tim Waugh
no flags Details
File: dso_list (14.35 KB, text/plain)
2014-08-07 19:09 UTC, Tim Waugh
no flags Details
File: environ (1.52 KB, text/plain)
2014-08-07 19:09 UTC, Tim Waugh
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-07 19:09 UTC, Tim Waugh
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-07 19:09 UTC, Tim Waugh
no flags Details
File: maps (68.06 KB, text/plain)
2014-08-07 19:09 UTC, Tim Waugh
no flags Details
File: open_fds (2.87 KB, text/plain)
2014-08-07 19:09 UTC, Tim Waugh
no flags Details
File: proc_pid_status (948 bytes, text/plain)
2014-08-07 19:09 UTC, Tim Waugh
no flags Details
File: var_log_messages (5.90 KB, text/plain)
2014-08-07 19:09 UTC, Tim Waugh
no flags Details

Description Tim Waugh 2014-08-07 19:09:35 UTC
Description of problem:
Not sure. This happened while renaming a file I'd restored from Trash by dragging out from the Trash window.

Version-Release number of selected component:
nautilus-3.10.1-4.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        nautilus --new-window
crash_function: nautilus_file_clear_info
executable:     /usr/bin/nautilus
kernel:         3.15.7-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 nautilus_file_clear_info at nautilus-file.c:432
 #1 rename_get_info_callback at nautilus-file.c:1722
 #2 g_task_return_now at gtask.c:1108
 #3 complete_in_idle_cb at gtask.c:1117
 #7 g_main_context_iteration at gmain.c:3774
 #8 g_application_run at gapplication.c:1635

Comment 1 Tim Waugh 2014-08-07 19:09:38 UTC
Created attachment 924999 [details]
File: backtrace

Comment 2 Tim Waugh 2014-08-07 19:09:39 UTC
Created attachment 925000 [details]
File: cgroup

Comment 3 Tim Waugh 2014-08-07 19:09:40 UTC
Created attachment 925001 [details]
File: core_backtrace

Comment 4 Tim Waugh 2014-08-07 19:09:41 UTC
Created attachment 925002 [details]
File: dso_list

Comment 5 Tim Waugh 2014-08-07 19:09:43 UTC
Created attachment 925003 [details]
File: environ

Comment 6 Tim Waugh 2014-08-07 19:09:44 UTC
Created attachment 925004 [details]
File: exploitable

Comment 7 Tim Waugh 2014-08-07 19:09:45 UTC
Created attachment 925005 [details]
File: limits

Comment 8 Tim Waugh 2014-08-07 19:09:47 UTC
Created attachment 925006 [details]
File: maps

Comment 9 Tim Waugh 2014-08-07 19:09:48 UTC
Created attachment 925007 [details]
File: open_fds

Comment 10 Tim Waugh 2014-08-07 19:09:49 UTC
Created attachment 925008 [details]
File: proc_pid_status

Comment 11 Tim Waugh 2014-08-07 19:09:50 UTC
Created attachment 925009 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:34:53 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:58:11 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.